## org.springframework.core.convert.converter
Interface ConverterRegistry

All Known Subinterfaces:
  FormatterRegistry

All Known Implementing Classes:
  FormattingConversionService, GenericConversionService

    public interface ConverterRegistry

For registering converters with a type conversion system.

Since:
  3.0
Author:
  Keith Donald, Juergen Hoeller

Method Summary
`void` `addConverter(Converter<?,?> converter)` Add a plain converter to this registry.
`void` `addConverter(GenericConverter converter)` Add a generic converter to this registry.
`void` `addConverterFactory(ConverterFactory<?,?> converterFactory)` Add a ranged converter factory to this registry.
`void` `removeConvertible(Class<?> sourceType, Class<?> targetType)` Remove any converters from sourceType to targetType.

Method Detail

### addConverter

    void addConverter(Converter<?,?> converter)

  Add a plain converter to this registry.

### addConverter

    void addConverter(GenericConverter converter)

  Add a generic converter to this registry.

### addConverterFactory

    void addConverterFactory(ConverterFactory<?,?> converterFactory)

  Add a ranged converter factory to this registry.

### removeConvertible

    void removeConvertible(Class<?> sourceType,
                           Class<?> targetType)

  Remove any converters from sourceType to targetType.

  Parameters:
    `sourceType` - the source type
    `targetType` - the target type